[mythtv-users] Protocol version mismatch

William Munson wmunson at rochester.rr.com
Wed Sep 27 11:23:33 UTC 2006

> I was able to upgrage everything I needed to individually. Is this normal
> for a non-version changing upgrade?
> Thanks Paul for the response...
> Eric

The myth developers did a big foobar with the 0.20-fixes branch in that 
they made it incompatible with 0.20 release. I understand the reason why 
and it basically comes down to the fact that they rushed 0.20 out before 
it was ready. Instead of releasing a 0.20-beta for testing they took 
whatever code was in svn on release day and make it a release. Now they 
are scrambling to fix the bugs a beta release would have found and one 
of those bugs forced a update to the database schema. Hence 0.20 fixes 
is no longer compatible with the release. Expect a 0.20.1 release in a 
month or two. The devs are a bright bunch of people but they lack the 
structure that a formal release process would force. Process should be 
SVN -->  Beta release(s) with several weeks of testing leading to -->  
final release.


More information about the mythtv-users mailing list